Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159849 - Problems will (badly formed?) Content-Disposition HTTP header
Summary: Problems will (badly formed?) Content-Disposition HTTP header
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: FF3RawhideClose
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 16:58 UTC by Mark McLoughlin
Modified: 2018-04-11 17:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-20 16:46:50 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2005-06-08 16:58:05 UTC
If you try and download an attachment whose filename contains a space from yahoo
mail, firefox gets confused, basically.

e.g.

  - Mail contains "Tax Assignment.doc"
  - Click on link, download dialog tries to save/open a file called "Tax"
  - OpenOffice.org refuses to open it (but that's another bug)

A little bit of debugging shows that yahoo is returning:

  Content-Disposition: attachment; filename=Tax Assignment.doc\r\n

whereas gmail returns

  Content-Disposition: attachment; filename="Tax Assignment.doc"\r\n

It works fine with gmail, so I'm assuming this is the problem.

Not sure if yahoo is even being spec compliant, but it seems like something that
would be straightforward to work around and would save a lot of annoyance for
people.

Comment 1 Mark McLoughlin 2005-06-08 17:03:48 UTC
(This is firefix-1.0.4-2 by the way)

Comment 2 Matěj Cepl 2007-12-20 16:46:50 UTC
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays


Note You need to log in before you can comment on or make changes to this bug.